DocTest : System Namespace

# Array Class

Documentation for this section has not yet been entered.

## Syntax

public class Array

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: System
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from object.

## Public Constructors

| Array () | Documentation for this section has not yet been entered.

## Public Methods

static

AsReadOnly<T> (T[]) : System.Collections.ObjectModel.ReadOnlyCollection<T>

> Documentation for this section has not yet been entered.

static

ConvertAll<TInput,TOutput> (TInput[], Converter<TInput, TOutput>) : TOutput[]

> Documentation for this section has not yet been entered.

static

Resize<T> (ref T[], int)

> Documentation for this section has not yet been entered.

## Extension Methods

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### Array Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public Array ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: System
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### AsReadOnly<T> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static System.Collections.ObjectModel.ReadOnlyCollection<T> AsReadOnly<T> (T[] array)

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > array
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > NotImplementedException | Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: System
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ConvertAll<TInput,TOutput> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static TOutput[] ConvertAll<TInput, TOutput> (TInput[] array, Converter<TInput, TOutput> converter)

> #### Type Parameters

> > TInput
> >   Documentation for this section has not yet been entered.
> > TOutput
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > array
> >   Documentation for this section has not yet been entered.
> > converter
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > InvalidOperationException | Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: System
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Resize<T> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static void Resize<T> (ref T[] array, int newSize)

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > array
> >   Documentation for this section has not yet been entered.
> > newSize
> >   Documentation for this section has not yet been entered.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > Exception | Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: System
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0